Results 1 to 8 of 8

Thread: Drivers needed!! - TOSHIBA Satellite A300D-13A (PSAK4E-01F00VGR)

  1. #1

    Default Drivers needed!! - TOSHIBA Satellite A300D-13A (PSAK4E-01F00VGR)

    I think I'm ready to install Linux openSUSE physical on my Laptop. NO VMware Workstation anymore...

    But before I can do that I must be sure that Linux works on my System.

    --- SYSTEM ---

    System: TOSHIBA Satellite A300D-13A (PSAK4E-01F00VGR)
    CPU: 2x AMD Turion 64 X2 Mobile Technology TL-64

    --- NETWORK ---
    Network Adapter (LAN): Marvell Yukon 88E8040T PCI-E Fast Ethernet Controller
    Network Adapter (WLAN): Atheros AR5008X Wireless Network Adapter

    --- Sound Cards ---
    HDAUDIO Soft Data Fax Modem with SmartCP
    Conexant High Definition SmartAudio 221
    ATI Function Driver for High Definition Audio - ATI AA01

    --- Graphic Cards ---
    ATI Mobility Radeon HD 3650 | NOTE: Already got a driver for that , but doesn't work with VMware Workstation, becasue of the Hardware Limitations...

    --- Others ---
    Web Cam


    .:: OPTIMAL ::.
    Programs I need:
    Hamachi LogMeIn | NOTE: The only program that works for me, to play LOCAL MULIPLAYER GAMES!!!!!!!!!!!!!!!!!!!!!!!!!!!!
    ScanWizard 5 for my Scanner: MEDION Scanner 4800H48U | NOTE: I need exactly this Program!!
    HP Printer | NOTE: Works fine in Linux with the HP Device Manager! No Drivers/Programs needed!






    OK, should be enough for the first, ask if I forgot some Hardware...
    And I hope you can help me! Because I can't find any driver, and I'm not sure. I'm a LINUX NOOOOOOOOOB!!
    I really want to install Linux openSUSE, I'm MICROSOFT/WINDOWS HATER since 1 month now!!

    PS: Wine can't start my favorite Programs like Project64 a N64 Emulator. It fails to start a game! I think the graphic plugin crashes... | The exact error message is: "Failed to extract ZIP Archive" or "Failed to load file".

  2. #2
    Join Date
    Jul 2009
    Location
    Montreal, Québec
    Posts
    833

    Default Re : Drivers needed!! - TOSHIBA Satellite A300D-13A (PSAK4E-01F00VGR)

    Hi,

    Wlecome to openSUSE.

    Ok, let be honest here : Linux for gaming is not the best platform for now. Some things are changing, but not enough to qualify it as a good alternative for gaming. There is not enough makers of games that port it to Linux, especially the big block busters. So, I suggest you do a dual boot Windows-openSUSE.

    To help ease things in this matter, you have Wine and you also have some paid solution like Codeweavers. Do do pretty good job for some games.

    As for other matters than gaming, I suggest you try the liveCD of openSUSE to see if it behaves well with you config.

    Looking at your config, I don't see major problem here, but I not really aware of the quality of the ATI driver right now.

  3. #3
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Drivers needed!! - TOSHIBA Satellite A300D-13A (PSAK4E-01F00VGR)

    On 04/13/2011 02:06 PM, SoftHacker wrote:
    >
    > But before I can do that I must be sure that Linux works on my System.


    boot from a live CD and evaluate it..

    --
    CAVEAT: http://is.gd/bpoMD
    [NNTP via openSUSE 11.3 + KDE4.5.5 + Thunderbird3.1.8]
    Q: Why do you upgrade?
    A: Because the Gecko is always greener on the other side!
    So said k428 in http://is.gd/Pwc3xq

  4. #4

    Default Re: Drivers needed!! - TOSHIBA Satellite A300D-13A (PSAK4E-01F00VGR)

    thanks i will try a live cd
    i report the results than

  5. #5

    Default Re: Drivers needed!! - TOSHIBA Satellite A300D-13A (PSAK4E-01F00VGR)

    the live cd can't be started
    after loading the linux kernel is a endless blackscreen!

  6. #6
    Join Date
    Jun 2008
    Location
    Kansas City Area, Missouri, USA
    Posts
    7,236

    Default Re: Drivers needed!! - TOSHIBA Satellite A300D-13A (PSAK4E-01F00VGR)

    On 04/13/2011 12:06 PM, SoftHacker wrote:
    >
    > the live cd can't be started
    > after loading the linux kernel is a endless blackscreen!


    There is a problem with the KMS driver for that ATI graphics adapter. To get
    started, you can keep it from loading by typing nomodeset into the Boot Options
    line before booting.

  7. #7

    Default Re: Drivers needed!! - TOSHIBA Satellite A300D-13A (PSAK4E-01F00VGR)

    nomodeset works! no blackscreen

    and linux works like a charm on my laptop!! that's awesome
    i will install linux in the next days, goodbye windows & goodbye microsoft

    i'm really happy with linux

    tomorrow i will perform the last tests, and than i will install it

    ------
    thanks for all the help for a windows dude

  8. #8
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    27,108
    Blog Entries
    40

    Default Re: Drivers needed!! - TOSHIBA Satellite A300D-13A (PSAK4E-01F00VGR)

    Quote Originally Posted by SoftHacker View Post
    nomodeset works! no blackscreen
    Some history wrt your having to type 'nomodeset'.

    By default, when you boot to the liveCD, for AMD hardware (such as your ATI Mobility Radeon HD 3650 ) openSUSE will try to boot to the "radeon" open source driver with Kernel Mode Setting (KMS) applied. Unfortunately in openSUSE-11.4 a late bug crept into the development just before release, where with KMS setting applied on certain AMD hardware (such as the HD3450 and 3460) immediately after the kernel load there would be a freeze. Possibly Udev or something else in the kernel is the cause of the bug. By disabling the KMS (with the parameter ' 'nomodeset' ) openSUSE would continue to boot with the AMD hardware.

    However also on openSUSE, when using the boot code 'nomodeset', openSUSE will use select to use the 'radeonhd' graphic driver (instead of the better supported 'radeon' grahic driver). Fortunately the 'radeonhd' driver supports the AMD HD3640 in your graphic hardware (it does not support all AMD hardware , as support for the 'radeonhd' graphic driver is stopping). But you will find the 'radeonhd' graphic driver does not have the support you may wish.

    Thus after installing openSUSE (and while using the boot code 'nomodeset', you could try to force the load of the 'radeon' graphic driver by editing the /etc/X11/xorg.conf.d/50-device.conf file and uncomment the line #Driver "radeon" by removing the " # " and change it to: Driver "radeon" then reboot and test. You will need to do that change with root permissions.

    Ultimately, you will find the proprietary 'fglrx' graphic driver works best with AMD hardware on openSUSE.

    Here is a link to some practical graphic card theory for openSUSE: openSUSE Graphic Card Practical Theory Guide for Users

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •